• このエントリーをはてなブックマークに追加

昨日、TopCoderに参加しようとしてEclipseからログインしようとしたら、ログインできずに焦った。こんなメッセージが表示された。

class "com.topcoder.client.netClient.ResponseWaiterManager"’s signer information does not match signer information of other classes in the same package
https://code.google.com/p/eclipsecoder/issues/detail?id=40

えっ、まじかよ!アタフタ((ヽ(;´Д`)ノ))アタフタ

ネットでいろいろと調べてみると、eclipsecoderプラグインの不具合であることがわかった。
プラグインを0.3.10以降にすればいいらしい。

Issue 40 – eclipsecoder – Arena version downloaded by Eclipsecoder is too old and doesn’t work – An Eclipse plug-in for competing at the TopCoder online algorithm competition – Google Project Hosting

早速、Eclipsecoder Coreを0.3.12にアップデートしようとしたころ、エラーしてできない。
こんなメッセージが表示された。

インストールする項目の収集中にエラーが発生しました

session context was:(profile=epp.package.cpp, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.apache.ant,1.8.3.v201301120609
No repository found containing: osgi.bundle,org.eclipse.ant.core,3.2.401.v20121204-162022
No repository found containing: osgi.bundle,org.eclipse.compare,3.5.301.v20130125-135424
No repository found containing: osgi.bundle,org.eclipse.compare.win32,1.0.200.v20120914-154749
No repository found containing: osgi.bundle,org.eclipse.core.commands,3.6.2.v20130123-162658
No repository found containing: osgi.bundle,org.eclipse.core.databinding,1.4.1.v20120912-132807
No repository found containing: osgi.bundle,org.eclipse.core.expressions,3.4.401.v20120912-155018
No repository found containing: osgi.bundle,org.eclipse.core.filesystem,1.3.200.v20130115-145044
No repository found containing: osgi.bundle,org.eclipse.core.jobs,3.5.300.v20120912-155018
No repository found containing: osgi.bundle,org.eclipse.core.net,1.2.200.v20120914-093638

・・・長いので、以下省略。

えっ、まじかよ!アタフタ((ヽ(;´Д`)ノ))アタフタ

さらに、ネットでいろいろと調べてみるとEclipse上にアップデートサーバの情報がキャッシュされていて、その情報が古いかららしい。キャッシュクリアのためには、以下の方法を試す。

[ウィンドウ] > [設定] > [インストール/更新] > [利用可能なソフトウェア]で、今回ダウンロードしてくるサーバを選択(今回はEclipseCoder http://fornwall.net/eclipsecoder/)し、右の[再ロード]をおす。

これで、解決するはずが・・・直らない!
EclipseCoderをアンインストールしたら、今度はインストールすらできない!

えっ、まじかよ!アタフタ((ヽ(;´Д`)ノ))アタフタ

いろいろと追い詰められた結果、以下の方法で解決した。

  1. [ウィンドウ] > [設定] > [インストール/更新] > [利用可能なソフトウェア] > [エクスポート]で利用可能なソフトウェアのリストをbookmarks.xmlに保存。
  2. 利用可能なソフトウェアを全て削除して、Eclipse再起動
  3. 再度、[利用可能なソフトウェア]にURLを追加
  4. アップデートを実施 -> 成功する
  5. bookmarks.xmlを[インポート]

なんとか間に合ってよかったよかった。